// ---------------------------------------------------------------------------
// - Predasio.hpp                                                            -
// - afnix:sio library - predicates declaration                              -
// ---------------------------------------------------------------------------
// - This program is free software;  you can redistribute it  and/or  modify -
// - it provided that this copyright notice is kept intact.                  -
// -                                                                         -
// - This program  is  distributed in  the hope  that it will be useful, but -
// - without  any  warranty;  without  even   the   implied    warranty   of -
// - merchantability or fitness for a particular purpose.  In no event shall -
// - the copyright holder be liable for any  direct, indirect, incidental or -
// - special damages arising in any way out of the use of this software.     -
// ---------------------------------------------------------------------------
// - copyright (c) 1999-2005 amaury darsch                                   -
// ---------------------------------------------------------------------------

#ifndef  AFNIX_PREDASIO_HPP
#define  AFNIX_PREDASIO_HPP

#ifndef  AFNIX_OBJECT_HPP
#include "Object.hpp"
#endif
 
namespace afnix {
  Object* asio_dirp    (Runnable* robj, Nameset* nset, Cons* args);
  Object* asio_filep   (Runnable* robj, Nameset* nset, Cons* args);
  Object* asio_termp   (Runnable* robj, Nameset* nset, Cons* args);
  Object* asio_odirp   (Runnable* robj, Nameset* nset, Cons* args);
  Object* asio_inputp  (Runnable* robj, Nameset* nset, Cons* args);
  Object* asio_ifilep  (Runnable* robj, Nameset* nset, Cons* args);
  Object* asio_ofilep  (Runnable* robj, Nameset* nset, Cons* args);
  Object* asio_itermp  (Runnable* robj, Nameset* nset, Cons* args);
  Object* asio_otermp  (Runnable* robj, Nameset* nset, Cons* args);
  Object* asio_selectp (Runnable* robj, Nameset* nset, Cons* args); 
  Object* asio_outputp (Runnable* robj, Nameset* nset, Cons* args); 
  Object* asio_inpstrp (Runnable* robj, Nameset* nset, Cons* args); 
  Object* asio_inpmapp (Runnable* robj, Nameset* nset, Cons* args); 
  Object* asio_outstrp (Runnable* robj, Nameset* nset, Cons* args); 
}


#endif
