// ---------------------------------------------------------------------------
// - Syscall.hpp                                                             -
// - afnix:sys library - system call definitions                             -
// ---------------------------------------------------------------------------
// - This program is free software;  you can redistribute it  and/or  modify -
// - it provided that this copyright notice is kept intact.                  -
// -                                                                         -
// - This program  is  distributed in  the hope  that it will be useful, but -
// - without  any  warranty;  without  even   the   implied    warranty   of -
// - merchantability or fitness for a particular purpose.  In no event shall -
// - the copyright holder be liable for any  direct, indirect, incidental or -
// - special damages arising in any way out of the use of this software.     -
// ---------------------------------------------------------------------------
// - copyright (c) 1999-2005 amaury darsch                                   -
// ---------------------------------------------------------------------------

#ifndef  AFNIX_SYSCALLS_HPP
#define  AFNIX_SYSCALLS_HPP

#ifndef  AFNIX_OBJECT_HPP
#include "Object.hpp"
#endif
 
namespace afnix {
  Object* asys_exit       (Runnable* robj, Nameset* nset, Cons* args);
  Object* asys_sleep      (Runnable* robj, Nameset* nset, Cons* args);
  Object* asys_getpid     (Runnable* robj, Nameset* nset, Cons* args);
  Object* asys_getenv     (Runnable* robj, Nameset* nset, Cons* args);
  Object* asys_random     (Runnable* robj, Nameset* nset, Cons* args);
  Object* asys_hostname   (Runnable* robj, Nameset* nset, Cons* args);
  Object* asys_username   (Runnable* robj, Nameset* nset, Cons* args);
}

#endif
